Bug 127206 - Wrong permissions on /etc/ntp
Wrong permissions on /etc/ntp
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-03 20:07 EDT by Olaf Fraczyk
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-13 09:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf Fraczyk 2004-07-03 20:07:06 EDT
Description of problem:
The /etc/ntp directory is owned and writable only by root.
But the ntpd daemon is run as "ntp" user and cannot save drift.

Version-Release number of selected component (if applicable):
ntp-4.2.0-7

How reproducible:
Always

Steps to Reproduce:
1. Run ntpd daemon
2. watch the /var/log/messages you will see:
Jul  3 10:56:52 venus ntpd[1706]: can't open /etc/ntp/drift.TEMP:
Permission denied

OR 
1. ls -ld /etc/ntp

  
Actual results:
user ntp is unable to write to /etc/ntp/

Expected results:
user ntp has permission to write to /etc/ntp/

Additional info:
Comment 1 Harald Hoyer 2004-07-13 09:35:20 EDT
/var/lib/ntp is the place to store the driftfile,
change your config file, please... (see ntp.conf.rpm{new,save})

Note You need to log in before you can comment on or make changes to this bug.